Skip to content

A product with its variants, stock and media

GET
/api/v1/workspaces/{workspaceId}/products/{productId}
curl --request GET \
--url https://api.crossmart.io/api/v1/workspaces/example/products/example
workspaceId
required
string
productId
required
string
Media typeapplication/json
object
id
required
string format: uuid
handle
required
string
title
required
string
descriptionHtml
required
string
vendor
required
string
nullable
productType
required
string
nullable
tags
required
Array<string>
status
required
string
Allowed values: DRAFT ACTIVE ARCHIVED
optionNames
required
Array<string>
variants
required
Array<object>
object
id
required
string format: uuid
position
required
number
sku
required
string
nullable
barcode
required

GTIN, UPC, EAN or ISBN

string
nullable
optionValues
required

One value per product option, in order

Array<string>
price
required

Decimal string in the workspace currency

string
compareAtPrice
required
string
nullable
cost
required

What you pay per unit; never shown to buyers

string
nullable
weightGrams
required
number
nullable
requiresShipping
required
boolean
taxable
required
boolean
outOfStockPolicy
required
string
Allowed values: STOP_SELLING CONTINUE_SELLING
tracked
required

Whether Crossmart tracks stock for this variant

boolean
available
required
number
media
required
Array<object>
object
id
required
string format: uuid
url
required
string
altText
required
string
nullable
position
required
number
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Example

{
"status": "DRAFT",
"optionNames": [
"Size",
"Color"
],
"variants": [
{
"price": "89.00",
"compareAtPrice": "99.00",
"cost": "40.00",
"outOfStockPolicy": "STOP_SELLING"
}
]
}